<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<!--the uri for the CSS file. We can set this from the property in the prp file -->
<xsl:param name="MANAGEMENT_CONSOLE_CSS_FILE">None</xsl:param>
<xsl:param name="selected_nav_tab">Concept List</xsl:param>
<xsl:param name="selected_rel_tab">Related Content</xsl:param>
<xsl:param name="selected_concept" select="/response/concepts/concept/@urlEscapedName"/>
<xsl:param name="refresh_seconds"/>
<xsl:param name="acronym_file"/>

<!-- So the output is easier to read -->
<xsl:output method='html' omit-xml-declaration="yes" encoding="iso-8859-1"/>
<xsl:output indent='yes'/>

<xsl:include href="styleSheet.xsl"/>
<xsl:include href="javaScript.xsl"/>
  
  <xsl:template match="/response">

<html>
<head>
        <xsl:call-template name="styleSheet"/>
        <xsl:call-template name="javaScript"/>
	<title>iPhrase : Concepts</title>
      <script>
      <xsl:comment>

        // the controller will update the status of any running tools every N seconds
	document.controller = new Controller(<xsl:value-of select="$refresh_seconds"/>);

	function contentDebugStatus(state, status)
        {
	  document.getElementById("contentDebug").innerHTML = "Acronym search is " + state + ": " + status;
	  if (state == "finished") {
	    if (confirm("Acronym generation is complete.  Reload this page to view the new acronyms?")) {
              document.location.replace("acronyms?xslt=acronymList.xsl&amp;acronymDetected=1");
            }
          }
	}
	
	function runContentDebug()
	{
	  document.controller.start('contentDebug', '-exportAcronyms &quot;<xsl:value-of select="$acronym_file"/>&quot;', contentDebugStatus);
	}

	function updateBuildStatus()
	{
//	  parent.parent.parent.frames[2].document.location.reload(true);
	}

      // </xsl:comment>
      <xsl:text>
      </xsl:text>
      </script>

      <style>
        .attributes { margin-left: 20pt; font-family: Tahoma; font-size: 11px; color: #094A74; font-weight: normal }
      </style>

      </head>

<body margin="10" bgcolor="#ffffff" onload="updateBuildStatus();">

  <div style="margin-left:15pt; margin-top: 15pt; font-family: Tahoma; color: #094A74; font-size: 12px; font-weight: normal" id="contentDebug">
  <form method="get" action="acronyms">
  <p style="font-size: 13px; font-weight: bold">
  Automatic Acronym detection
  </p>
  Specify how OneStep should handle the automatic detection of acronyms in your content:
  <br/>
  <input type="radio" name="acronymHandling" value="None" style="font-size: 11px">
  <xsl:if test="acronymHandling='None'">
    <xsl:attribute name="checked"/>
  </xsl:if>
  Do not automatically detect acronyms during project builds
  </input>
  <br/>
  <input type="radio" name="acronymHandling" value="report" style="font-size: 11px">
  <xsl:if test="acronymHandling='report'">
    <xsl:attribute name="checked"/>
  </xsl:if>
  Automatically detect acronyms during project builds, and display them here for review before using them
  </input>
  <br/>
  <input type="radio" name="acronymHandling" value="grammar" style="font-size: 11px">
  <xsl:if test="acronymHandling='grammar'">
    <xsl:attribute name="checked"/>
  </xsl:if>
  Automatically detect acronyms during project builds, and use them in the project without reviewing them
  </input>
  <br/>

    <input type="hidden" name="xslt" value="acronymList.xsl"/>
    <input type="image" src="file/images/savechanges.gif" alt="save acronym handling"/>
  <br/>

  <p style="font-size: 13px; font-weight: bold">
  Manual acronym detection
  </p>
  To run one-time acronym detection, click here.
  <br/>
  <input type="button" id="detectAcronym" value="Detect Acronyms Now" onClick="runContentDebug()"/>
  </form>
  
  <br/>

  <xsl:choose>
    <xsl:when test="count(tool[@state != 'finished']) > 0">
      <script>
        document.controller.monitor(&quot;<xsl:value-of select="tool[@state != 'finished']/@id"/>&quot;, contentDebugStatus);
	contentDebugStatus(&quot;<xsl:value-of select="tool[@state != 'finished']/@state"/>&quot;, &quot;<xsl:value-of select="tool[@state != 'finished']/@status"/>&quot;);
      </script>
    </xsl:when>
    <xsl:when test="acronyms/@last_time != 'N/A'">
      This acronym data was generated on <xsl:value-of select="acronyms/@last_time"/> by user <xsl:value-of select="accessControl/user/@name"/>.
      <br/>
    </xsl:when>
  </xsl:choose>

  </div>

  <p style="margin-left:15pt; margin-top: 15pt; font-family: Tahoma; color: #094A74; font-size: 13px; font-weight: bold">
  Review detected acronyms
  </p>
  <p style="margin-left:15pt; margin-top: 15pt; font-family: Tahoma; color: #094A74; font-size: 12px; font-weight: normal">
  The following acronyms have been detected by OneStep, but not yet reviewed. Click the pencil icon to create a concept for the acronym, or the "x" icon to reject the acronym.
  </p>
  <br/>

  <xsl:choose>
  <xsl:when test="count(acronyms/acronym) != 0">
  <table cellspacing="10" style="margin-left:15pt; font-family: Tahoma; color: #094A74; font-size: 11px;">
    <tr>
      <th align="left">Acronym</th>
      <th align="left">Definitions</th>
    </tr>

    <xsl:for-each select="acronyms/acronym">
	<tr>
	  <td align="left" valign="top">

	    <!-- delete link -->
	    <a href="acronyms?action=delete&amp;acronym={@abbr}&amp;xslt=acronyms.xsl" target="_top">
 	      <img src="file/images/x.gif" alt="delete acronym" width="13" height="13" border="0" />
	    </a>

	    <!-- edit link -->
	    <a href="acronyms?action=edit&amp;acronym={@abbr}&amp;xslt=conceptEdit.xsl" target="acronym_edit">
	      <img src="file/images/edit.gif" alt="create concept from acronym" width="13" height="13" border="0" />
	    </a>

	    <!-- the acronym itself -->
	    <xsl:value-of select="@abbr"/>
	  </td>	      

	  <!-- the definitions -->
	  <td align="left" valign="top">
	    <xsl:for-each select="definition">
		<xsl:value-of select="@name"/>
		(<xsl:value-of select="@count"/>)
		<xsl:if test="position() != last()"><br/></xsl:if>
	    </xsl:for-each>
	  </td>
	</tr>
    </xsl:for-each>
  </table>
  </xsl:when>
  <xsl:when test="count(acronyms/acronym) = 0 or acronyms/@last_time = 'N/A'">
    <p style="margin-left:15pt; font-family: Tahoma; color: #094A74; font-size: 12px; font-weight: normal;">
    There is no acronym data available
    </p>
    <br/>
  </xsl:when>
  </xsl:choose>
  </body>
  </html>
  </xsl:template>
</xsl:stylesheet>
